<template>
  <nav aria-label="Progress">
    <ol class="overflow-hidden" v-for="(step, index) in steps" :key="index">
      <Step :step="step" :last="index === steps.length - 1" />
    </ol>
  </nav>
</template>

<script>
import Step from './Step'

export default {
  name: 'Steps',
  components: { Step },
  props: {
    steps: Array
  }
}
</script>
